stack-1.3.2: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Build.ConstructPlan

Description

Construct a `Plan` for how to build

# Documentation

constructPlan #

Arguments

:: (StackM env m, HasEnvConfig env) |
=> MiniBuildPlan |
-> BaseConfigOpts |
-> [LocalPackage] |
-> Set PackageName | additional packages that must be built
-> [DumpPackage () ()] | locally registered
-> (PackageName -> Version -> Map FlagName Bool -> [Text] -> IO Package) | load upstream package
-> SourceMap |
-> InstalledMap |
-> m Plan |